package models

import "time"

type Result int32

const (
    NotTested               Result = 0
    Accepted                Result = 1
    TimeLimitExceeded       Result = 2
    MemoryLimitExceeded     Result = 3
    CompilationError        Result = 4
    SystemFailDuringTesting Result = 5
)

func (result Result) Valid() error {
    switch result {
    case NotTested, Accepted, TimeLimitExceeded, MemoryLimitExceede, CompilationError, SystemFailDuringTesting:
        return nil
    }
    return lib.ErrBadResult
}
